package com.apps.sketchmaster.data

import androidx.room.Dao
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import androidx.room.Query

@Dao
interface CustomizeDao {
    @Insert(onConflict = OnConflictStrategy.IGNORE)
    suspend fun insert(customize: Customize)

    @Query("SELECT * FROM customize")
    suspend fun getAll(): List<Customize>

    @Query("SELECT * FROM customize WHERE url=:path")
    suspend fun selectByPath(path: String): Customize?

    @Query("DELETE FROM customize WHERE url=:path")
    suspend fun deleteByPath(path: String)
}